Name: x11-driver-video-rendition
Version: 4.2.7
Release: %mkrel 3
Summary: X.org driver for Rendition (Micron) Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-rendition-%{version}.tar.bz2
License: MIT
ExclusiveArch: %ix86 x86_64

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Conflicts: xorg-x11-server < 7.0

%description
x11-driver-video-rendition is the X.org driver for Rendition (Micron) Cards.

%prep
%setup -q -n xf86-video-rendition-%{version}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%{_libdir}/xorg/modules/drivers/rendition_drv.la
%{_libdir}/xorg/modules/drivers/rendition_drv.so
%{_libdir}/xorg/modules/v20002d.uc
%{_libdir}/xorg/modules/v10002d.uc
%{_mandir}/man4/rendition.*




%changelog
* Wed Feb 19 2020 tv <tv> 4.2.7-3.mga8
+ Revision: 1544040
- only build on x86 x86_64
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 4.2.7-2.mga7
+ Revision: 1301765
- Mageia 7 Mass Rebuild

* Mon May 21 2018 tv <tv> 4.2.7-1.mga7
+ Revision: 1231304
- new release
- rebuild for xserver 1.20 RC1

* Thu Nov 17 2016 tv <tv> 4.2.6-4.mga6
+ Revision: 1067762
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 4.2.6-3.mga6
+ Revision: 1043262
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 4.2.6-2.mga6
+ Revision: 963401
- Mageia 6 Mass Rebuild

* Thu Nov 12 2015 tv <tv> 4.2.6-1.mga6
+ Revision: 902666
- new release

* Wed Nov 11 2015 tv <tv> 4.2.5-14.mga6
+ Revision: 902308
- submit to core/release

* Wed Nov 11 2015 tv <tv> 4.2.5-13.mga6
+ Revision: 902059
- rebuild for new xserver

* Sun Jun 21 2015 tv <tv> 4.2.5-12.mga6
+ Revision: 837446
- add build fixes from git
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 4.2.5-11.mga5
+ Revision: 747352
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.2.5-10.mga5
+ Revision: 690448
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 4.2.5-9.mga5
+ Revision: 635047
- submit to core/release

* Fri Jun 06 2014 tv <tv> 4.2.5-8.mga5
+ Revision: 633692
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 4.2.5-7.mga5
+ Revision: 614379
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 4.2.5-6.mga5
+ Revision: 582319
- patch 0: fix build with xserver-1.14

* Sat Oct 19 2013 umeabot <umeabot> 4.2.5-5.mga4
+ Revision: 525449
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 4.2.5-4.mga4
+ Revision: 433188
- submit to core/release

* Fri May 24 2013 tv <tv> 4.2.5-3.mga4
+ Revision: 426011
- patch 0: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 4.2.5-3.mga3
+ Revision: 386007
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 4.2.5-2.mga3
+ Revision: 288969
- rebuild for new xserver

* Tue Jul 24 2012 tv <tv> 4.2.5-1.mga3
+ Revision: 273939
- drop patch 0 (merged)
- new release

* Wed Jun 06 2012 tmb <tmb> 4.2.4-9.mga3
+ Revision: 256480
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 4.2.4-8.mga3
+ Revision: 253018
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 4.2.4-7.mga3.nonfree
+ Revision: 250234
- patch for new X.org server ABI
- rebuild for new X.org server

* Tue Dec 06 2011 tmb <tmb> 4.2.4-6.mga2
+ Revision: 177627
- submit to core/release

* Sat Oct 08 2011 tv <tv> 4.2.4-5.mga2
+ Revision: 153127
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 4.2.4-4.mga1
+ Revision: 64409
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 4.2.4-3.mga1
+ Revision: 50274
- imported package x11-driver-video-rendition

